Sets the image background color

- « Imagick::setImageAttribute

- Imagick::setImageBias »

- PHP Manual
- Imagick
- Sets the image background color

# Imagick::setImageBackgroundColor

(PECL imagick 2, PECL imagick 3)

Imagick::setImageBackgroundColor — Sets the image background color

### Description

public Imagick::setImageBackgroundColor(mixed `$background`): bool

Sets the image background color.

### Parameters

`background`

### Return Values

Returns `true` on success.

### Errors/Exceptions

Throws ImagickException on error.

### Changelog

Version | Description
--- | ---
PECL imagick 2.1.0 | Now allows a string representing the color as the parameter. Previous versions allow only an ImagickPixel object.